Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 12-12-2020 20:29:41

zancanarotrois
Membre
Distrib. : debian GNU/linux 10 (buster)
Noyau : linux 4.19.0.9-amd64
(G)UI : gnome 3.22.2
Inscription : 08-02-2018

[Résolu] installer appimage.

Salut à vous,
J'ai téléchargé sur  github AppImageKit-master comme recommandé sur le site de AppImage, pour l'installer sur une Debian 10 buster.
J'ai voulu le rendre excutable.

chmod a+x /home/zanca/logiciels/AppImageKit-master



J'avais d'abord tenté en user.

Quand je tente de la lancer j'ai

/home/zanca/logiciels/AppImageKit-master/
bash: /home/zanca/logiciels/AppImageKit-master/ : est un dossier
 



Je n'arrive pas à trouver comment le rendre executable.
Des pistes ?

Amicalement
Vincent

Dernière modification par zancanarotrois (13-12-2020 12:31:04)

Hors ligne

#2 12-12-2020 20:37:12

deuchdeb
Moderato ma non troppo
Lieu : Ca bouge Ca bouge!!!
Distrib. : Debian 10 Buster KDE DFlinux et LinuxMintCinnamon
Noyau : Noyau stable
(G)UI : KDE Plasma 5.14, Xfce et Cinnamon
Inscription : 13-01-2010
Site Web

Re : [Résolu] installer appimage.

Bonjour zancanarotrois,

Il semble que AppImageKit-master soit un dossier.
Le fichier appimage doit être à l'intérieur de ce dossier peut-être.

Les fichiers appimage ont l'extension Appimage.
Comme:
- balenaEtcher-1.5.86-x64.AppImage
- molotov.AppImage

Que retourne la commande:

ls -a /home/zanca/logiciels/AppImageKit-master


Une fleur, c'est magique non? smile
Association Debian Facile

Hors ligne

#3 12-12-2020 20:37:23

saitama-san
Membre
Inscription : 28-07-2019

Re : [Résolu] installer appimage.

/home/zanca/logiciels/AppImageKit-master est un dossier, c'est indiqué dans le retour de la commande
liste le contenu du dossier avec

/home/zanca/logiciels/AppImageKit-master/


est ce que tu peux indiquer le lien du site AppImage ?

Hors ligne

#4 12-12-2020 21:15:36

zancanarotrois
Membre
Distrib. : debian GNU/linux 10 (buster)
Noyau : linux 4.19.0.9-amd64
(G)UI : gnome 3.22.2
Inscription : 08-02-2018

Re : [Résolu] installer appimage.

Merci pour vos réponses.

Pour répondre à deuchdeb

ls -a /home/zanca/logiciels/AppImageKit-master
.      CMakeLists.txt   Makefile.runtime  test-appimagetool.sh
..       CONTRIBUTING.md  README.md   travis
build-appdir.sh    .gitignore     resources   .travis.yml
build.sh     .gitmodules      squashfs_osx.patch
build-tool-osx.sh  lib        src
cmake      LICENSE      testappimage
 



Et pour saitama-san
https://github.com/AppImage/AppImageKit

Je ne serais pas sur mon ordi ce soir. Je lirai vos réponses s’il y a,  demain.
Bonne soirée
Vincent

Hors ligne

#5 13-12-2020 09:23:58

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-12-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : [Résolu] installer appimage.

Hello
Il faut lancer le script build.sh contenu dans ce répertoire , le paquet pour Debian n'est pas construit
si tu relis bien dans la doc il existe des versions précompliler sous forme de fichiers appImage

A precompiled version can be found on GitHub Releases.
wget "https://github.com/AppImage/AppImageKit … 4.AppImage"
chmod a+x appimagetool-x86_64.AppImage



télécharger avec wget et rendre éxécutable le fichier appimage
Tu peux utiliser l'option -P pour spécifier l'emplacement du téléchargement

 wget -P ~/Téléchargements "https://github.com/AppImage/AppImageKit/releases/download/continuous/appimagetool-x86_64.AppImage"


chmod a+x ~/Téléchargements/appimagetool-x86_64.AppImage



au final le fichier appimage ne fonctionne pas

~/Téléchargements/appimagetool-x86_64.AppImage


appimagetool, continuous build (commit aaef827), build 2143 built on 2020-11-22 12:53:26 UTC
WARNING: appstreamcli command is missing, please install it if you want to use AppStream metadata
SOURCE is missing



test avec le script build.sh , pas mieux

 bash -ex build.sh


+ STRIP=strip
+ STATIC_BUILD=1
+ JOBS=1
+ RUN_TESTS=0
+ '[' ']'
+ grep CentOS
+ cat /etc/os-release
+ md5sum
+ echo ''
68b329da9893e34099c7d8ad5cb9c940  -
+ set -e
+ set -x
+++ readlink -f build.sh
++ dirname /home/stephane/Téléchargements/AppImageKit/build.sh
+ HERE=/home/stephane/Téléchargements/AppImageKit
+ cd /home/stephane/Téléchargements/AppImageKit
+ git submodule update --init --recursive
+ '[' -d build/ ']'
+ rm -rf build/
+ mkdir build
+ cd build
+ export PKG_CONFIG_PATH=/deps/lib/pkgconfig/
+ PKG_CONFIG_PATH=/deps/lib/pkgconfig/
+ '[' '' == armhf ']'
+ '[' '' == aarch64 ']'
+ cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=RelWithDebInfo -DBUILD_TESTING=ON -DAPPIMAGEKIT_PACKAGE_DEBS=ON
-- The C compiler identification is GNU 8.3.0
-- The CXX compiler identification is GNU 8.3.0
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Checking for program aclocal
-- Found program aclocal: /usr/bin/aclocal
-- Checking for program autoheader
-- Found program autoheader: /usr/bin/autoheader
-- Checking for program automake
-- Found program automake: /usr/bin/automake
-- Checking for program autoreconf
-- Found program autoreconf: /usr/bin/autoreconf
-- Checking for program libtoolize
-- Found program libtoolize: /usr/bin/libtoolize
-- Checking for program patch
-- Found program patch: /usr/bin/patch
-- Checking for program sed
-- Found program sed: /usr/bin/sed
-- Checking for program wget
-- Found program wget: /usr/bin/wget
-- Checking for program xxd
-- Found program xxd: /usr/bin/xxd
-- Checking for program desktop-file-validate
-- Found program desktop-file-validate: /usr/bin/desktop-file-validate
-- Checking for program objcopy
-- Found program objcopy: /usr/bin/objcopy
-- Checking for program objdump
-- Found program objdump: /usr/bin/objdump
-- Checking for program readelf
-- Found program readelf: /usr/bin/readelf
-- Checking for program strip
-- Found program strip: /usr/bin/strip
-- Checking for program make
-- Found program make: /usr/bin/make
-- Found PkgConfig: /usr/bin/pkg-config (found version "0.29")
-- Importing target libglib via pkg-config (glib-2.0>=2.40, shared)
-- Checking for module 'glib-2.0>=2.40'
--   Found glib-2.0, version 2.58.3
-- Importing target libgobject via pkg-config (gobject-2.0>=2.40, shared)
-- Checking for module 'gobject-2.0>=2.40'
--   Found gobject-2.0, version 2.58.3
-- Importing target libgio via pkg-config (gio-2.0>=2.40, shared)
-- Checking for module 'gio-2.0>=2.40'
--   Found gio-2.0, version 2.58.3
-- Importing target libzlib via pkg-config (zlib, shared)
-- Checking for module 'zlib'
--   Found zlib, version 1.2.11
-- Importing target libcairo via pkg-config (cairo, shared)
-- Checking for module 'cairo'
--   Found cairo, version 1.16.0
-- Downloading and building xz
-- Downloading and building squashfuse
-- Downloading and building libarchive
-- Found PythonInterp: /usr/bin/python (found version "2.7.16")
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - not found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE  
-- Checking for module 'glib-2.0>=2.40'
--   Found glib-2.0, version 2.58.3
-- Checking for module 'gobject-2.0>=2.40'
--   Found gobject-2.0, version 2.58.3
-- Checking for module 'gio-2.0>=2.40'
--   Found gio-2.0, version 2.58.3
-- Checking for module 'zlib'
--   Found zlib, version 1.2.11
-- Checking for module 'cairo'
--   Found cairo, version 1.16.0
-- Checking for program aclocal
-- Found program aclocal: /usr/bin/aclocal
-- Checking for program autoheader
-- Found program autoheader: /usr/bin/autoheader
-- Checking for program automake
-- Found program automake: /usr/bin/automake
-- Checking for program autoreconf
-- Found program autoreconf: /usr/bin/autoreconf
-- Checking for program libtoolize
-- Found program libtoolize: /usr/bin/libtoolize
-- Checking for program patch
-- Found program patch: /usr/bin/patch
-- Checking for program sed
-- Found program sed: /usr/bin/sed
-- Checking for program wget
-- Found program wget: /usr/bin/wget
-- Checking for program xxd
-- Found program xxd: /usr/bin/xxd
-- Checking for program desktop-file-validate
-- Found program desktop-file-validate: /usr/bin/desktop-file-validate
-- Checking for program objcopy
-- Found program objcopy: /usr/bin/objcopy
-- Checking for program objdump
-- Found program objdump: /usr/bin/objdump
-- Checking for program readelf
-- Found program readelf: /usr/bin/readelf
-- Checking for program strip
-- Found program strip: /usr/bin/strip
-- Checking for program make
-- Found program make: /usr/bin/make
-- Importing target libfuse via pkg-config (fuse, shared)
-- Checking for module 'fuse'
--   No package 'fuse' found
CMake Error at /usr/share/cmake-3.13/Modules/FindPkgConfig.cmake:452 (message):
  A required package was not found
Call Stack (most recent call first):
  /usr/share/cmake-3.13/Modules/FindPkgConfig.cmake:622 (_pkg_check_modules_internal)
  lib/libappimage/cmake/scripts.cmake:113 (pkg_check_modules)
  cmake/dependencies.cmake:11 (import_pkgconfig_target)
  CMakeLists.txt:72 (include)


-- Configuring incomplete, errors occurred!
See also "/home/stephane/Téléchargements/AppImageKit/build/CMakeFiles/CMakeOutput.log".
See also "/home/stephane/Téléchargements/AppImageKit/build/CMakeFiles/CMakeError.log".
 



 cat /home/stephane/Téléchargements/AppImageKit/build/CMakeFiles/CMakeError.log


Determining if the pthread_create exist failed with the following output:
Change Dir: /home/stephane/Téléchargements/AppImageKit/build/CMakeFiles/CMakeTmp

Run Build Command:"/usr/bin/make" "cmTC_7c70d/fast"
/usr/bin/make -f CMakeFiles/cmTC_7c70d.dir/build.make CMakeFiles/cmTC_7c70d.dir/build
make[1] : on entre dans le répertoire « /home/stephane/Téléchargements/AppImageKit/build/CMakeFiles/CMakeTmp »
Building C object CMakeFiles/cmTC_7c70d.dir/CheckSymbolExists.c.o
/usr/bin/cc   -fPIE   -o CMakeFiles/cmTC_7c70d.dir/CheckSymbolExists.c.o   -c /home/stephane/Téléchargements/AppImageKit/build/CMakeFiles/CMakeTmp/CheckSymbolExists.c
Linking C executable cmTC_7c70d
/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_7c70d.dir/link.txt --verbose=1
/usr/bin/cc      -rdynamic CMakeFiles/cmTC_7c70d.dir/CheckSymbolExists.c.o  -o cmTC_7c70d
/usr/bin/ld: CMakeFiles/cmTC_7c70d.dir/CheckSymbolExists.c.o: in function `main':
CheckSymbolExists.c:(.text+0x1b): undefined reference to `pthread_create'
collect2: error: ld returned 1 exit status
make[1]: *** [CMakeFiles/cmTC_7c70d.dir/build.make:87: cmTC_7c70d] Error 1
make[1] : on quitte le répertoire « /home/stephane/Téléchargements/AppImageKit/build/CMakeFiles/CMakeTmp »
make: *** [Makefile:121: cmTC_7c70d/fast] Error 2

File /home/stephane/Téléchargements/AppImageKit/build/CMakeFiles/CMakeTmp/CheckSymbolExists.c:
/* */
#include <pthread.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef pthread_create
  return ((int*)(&pthread_create))[argc];
#else
  (void)argc;
  return 0;
#endif
}

Determining if the function pthread_create exists in the pthreads failed with the following output:
Change Dir: /home/stephane/Téléchargements/AppImageKit/build/CMakeFiles/CMakeTmp

Run Build Command:"/usr/bin/make" "cmTC_4563b/fast"
/usr/bin/make -f CMakeFiles/cmTC_4563b.dir/build.make CMakeFiles/cmTC_4563b.dir/build
make[1] : on entre dans le répertoire « /home/stephane/Téléchargements/AppImageKit/build/CMakeFiles/CMakeTmp »
Building C object CMakeFiles/cmTC_4563b.dir/CheckFunctionExists.c.o
/usr/bin/cc   -DCHECK_FUNCTION_EXISTS=pthread_create -fPIE   -o CMakeFiles/cmTC_4563b.dir/CheckFunctionExists.c.o   -c /usr/share/cmake-3.13/Modules/CheckFunctionExists.c
Linking C executable cmTC_4563b
/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_4563b.dir/link.txt --verbose=1
/usr/bin/cc  -DCHECK_FUNCTION_EXISTS=pthread_create    -rdynamic CMakeFiles/cmTC_4563b.dir/CheckFunctionExists.c.o  -o cmTC_4563b -lpthreads
/usr/bin/ld : ne peut trouver -lpthreads
collect2: error: ld returned 1 exit status
make[1]: *** [CMakeFiles/cmTC_4563b.dir/build.make:87: cmTC_4563b] Error 1
make[1] : on quitte le répertoire « /home/stephane/Téléchargements/AppImageKit/build/CMakeFiles/CMakeTmp »
make: *** [Makefile:121: cmTC_4563b/fast] Error 2
 

Dernière modification par Croutons (13-12-2020 10:27:01)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#6 13-12-2020 10:13:34

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Tumbleweed
Noyau : Linux 5.10.4
(G)UI : KDE 5.20.4
Inscription : 11-03-2016

Re : [Résolu] installer appimage.

Bonjour smile

zancanarotrois a écrit :

J'ai téléchargé sur  github AppImageKit-master comme recommandé sur le site de AppImage, pour l'installer sur une Debian 10 buster.


Tu veux fabriquer des paquets au format AppImage ? Visiblement ce kit sert à empaqueter des logiciels dans cette version.
Ce paquet est utile aux développeurs d'un logiciel qui souhaitent proposer une version de leur logiciel au format AppImage.
Pour utiliser un logiciel fourni avec le format AppImage, ce kit n'est pas utile smile

Hors ligne

#7 13-12-2020 10:28:04

zancanarotrois
Membre
Distrib. : debian GNU/linux 10 (buster)
Noyau : linux 4.19.0.9-amd64
(G)UI : gnome 3.22.2
Inscription : 08-02-2018

Re : [Résolu] installer appimage.

chalu a écrit :

Bonjour smile

zancanarotrois a écrit :

J'ai téléchargé sur  github AppImageKit-master comme recommandé sur le site de AppImage, pour l'installer sur une Debian 10 buster.


Tu veux fabriquer des paquets au format AppImage ? Visiblement ce kit sert à empaqueter des logiciels dans cette version.
Ce paquet est utile aux développeurs d'un logiciel qui souhaitent proposer une version de leur logiciel au format AppImage.
Pour utiliser un logiciel fourni avec le format AppImage, ce kit n'est pas utile smile



Bonjour,
Arggg , d'accord je vais chercher le bon.
Merci

Hors ligne

#8 13-12-2020 10:30:47

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-12-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : [Résolu] installer appimage.

zancanarotrois a écrit :

Arggg , d'accord je vais chercher le bon.


quel bon
tu n'as rien a installer
Quand tu télécharges une application Appimage tu as juste a rendre le fichier éxécutable et c'est bon
c'est utile pour certaine applications qui ne sont pas présente dans les dépots Debian

Dernière modification par Croutons (13-12-2020 10:31:54)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#9 13-12-2020 10:38:18

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Tumbleweed
Noyau : Linux 5.10.4
(G)UI : KDE 5.20.4
Inscription : 11-03-2016

Re : [Résolu] installer appimage.

zancanarotrois a écrit :

Arggg , d'accord je vais chercher le bon.


En fait ce que tu dois chercher, c'est le logiciel que tu souhaites utiliser/installer.
Ensuite tu regardes s'il est disponible dans les dépôts officiels et si c'est le cas tu l'installes par la méthode traditionnelle (en ligne de commande ou en passant par un gestionnaire graphique )
S'il n'est pas disponible dans les dépôts Debian ou si la version est trop ancienne et te pose un problème de compatibilité ou de fonctionnalité (rare sur testing car les logiciels proposés sont normalement récents), tu peux chercher s'il existe en format AppImage et dans ce cas, tu n'as rien à installer, tu ne passes pas en "root" pour pouvoir l'utiliser.
Tu devrais lire le wiki : https://debian-facile.org/doc:systeme:appimage
qui t'explique tout ça et donne l'exemple d'avidemux qui n'est pas proposé dans les dépôts officiels wink

Hors ligne

#10 13-12-2020 10:49:35

zancanarotrois
Membre
Distrib. : debian GNU/linux 10 (buster)
Noyau : linux 4.19.0.9-amd64
(G)UI : gnome 3.22.2
Inscription : 08-02-2018

Re : [Résolu] installer appimage.

chalu,
J'ai bien regardé le wiki, mais je n'arrive pas à trouver où le télécharger, 'un peu nul le mec) sur github je tombe sur le Kit. Sur le site de appimage j'ai pas trouvé le lien non plus. Je continue à chercher.
Merci

Dernière modification par zancanarotrois (13-12-2020 11:18:13)

Hors ligne

#11 13-12-2020 11:19:32

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Tumbleweed
Noyau : Linux 5.10.4
(G)UI : KDE 5.20.4
Inscription : 11-03-2016

Re : [Résolu] installer appimage.

Mais que veux-tu télécharger comme logiciel ? Tu aurais dû commencer par là wink

Hors ligne

#12 13-12-2020 11:49:25

zancanarotrois
Membre
Distrib. : debian GNU/linux 10 (buster)
Noyau : linux 4.19.0.9-amd64
(G)UI : gnome 3.22.2
Inscription : 08-02-2018

Re : [Résolu] installer appimage.

FreeCad 0.19 parce  la version 0.18  dans les dépôts plante régulièrement. Mais je ne suis pas sûr que ça change quelque chose...
Il semblerai que je sois arrivé à installer AppImage, je vais maintenant tenter d'installer freecad.
Je reviendrai donner plus d'informations si tout marche bien, et mettre résolu dans le titre, j'espère. ;-}
Merci de ton, vos aides.

Dernière modification par zancanarotrois (13-12-2020 11:52:05)

Hors ligne

#13 13-12-2020 11:59:37

Debian Alain
Membre
Lieu : Bretagne
Distrib. : sid / ubuntu 20.10 kernel 5.10
Noyau : Linux -5.10.0-2-amd64-unsigned
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [Résolu] installer appimage.

je sais pas  si çà peut t'aider , zancanarotrois , mais freecad est en version 0.18 jusque testing inclus .
la version 0.19 est celle d'expérimental .

apt-cache madison freecad


   freecad | 0.19~pre1+git20201123.8d73c8f0+dfsg1-1 | http://deb.debian.org/debian experimental/main amd64 Packages
   freecad | 0.19~pre1+git20201123.8d73c8f0+dfsg1-1 | http://deb.debian.org/debian experimental/main i386 Packages
   freecad | 0.18.4+dfsg2-6 | http://deb.debian.org/debian testing/main amd64 Packages
   freecad | 0.18.4+dfsg2-6 | http://deb.debian.org/debian testing/main i386 Packages
   freecad | 0.18.4+dfsg2-6 | http://deb.debian.org/debian unstable/main amd64 Packages
   freecad | 0.18.4+dfsg2-6 | http://deb.debian.org/debian unstable/main i386 Packages
   freecad | 0.18~pre1+dfsg1-5 | http://deb.debian.org/debian stable/main amd64 Packages
   freecad | 0.18~pre1+dfsg1-5 | http://deb.debian.org/debian stable/main i386 Packages
 



https://wiki.freecadweb.org/AppImage/fr

Dernière modification par Debian Alain (13-12-2020 12:02:51)

Hors ligne

#14 13-12-2020 12:10:50

zancanarotrois
Membre
Distrib. : debian GNU/linux 10 (buster)
Noyau : linux 4.19.0.9-amd64
(G)UI : gnome 3.22.2
Inscription : 08-02-2018

Re : [Résolu] installer appimage.

J'ai rentré la commande :

apt-cache madison freecad
   freecad | 0.18~pre1+dfsg1-5 | http://deb.debian.org/debian buster/main amd64 Packages
   freecad | 0.18~pre1+dfsg1-5 | http://deb.debian.org/debian buster/main Sources
 



Mais mon niveau d'utilisateur ne me permet pas de savoir quoi en faire.
Merci pour ta participation.

Hors ligne

#15 13-12-2020 12:19:26

Debian Alain
Membre
Lieu : Bretagne
Distrib. : sid / ubuntu 20.10 kernel 5.10
Noyau : Linux -5.10.0-2-amd64-unsigned
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [Résolu] installer appimage.

la fonctionnalité "AppImage" n'a pas à être installée .

le seul truc à savoir , c'est que les fichiers "AppImage" doivent d'abord être rendus exécutables avant de les lancer .

comment testes tu  freecad sous buster ?

Hors ligne

#16 13-12-2020 12:30:05

zancanarotrois
Membre
Distrib. : debian GNU/linux 10 (buster)
Noyau : linux 4.19.0.9-amd64
(G)UI : gnome 3.22.2
Inscription : 08-02-2018

Re : [Résolu] installer appimage.

Bon AppImage fonctionne.

J'ai téléchargé : AppImageUpdate-x86_64.AppImage
https://github.com/AppImage/AppImageUpd … continuous
j'ai

chmod +x /home/zanca/logiciels/AppImageUpdate-x86_64.AppImage



Pour FreeCad j'ai telechargé la version développement sur cette page :
https://wiki.freecadweb.org/AppImage/fr
fait

chmod +x /home/zanca/logiciels/FreeCAD_0.19-23258-Linux-Conda_glibc2.12-x86_64.AppImage
 



Du coup AppImage fonctionne et freeCad se lance bien. Reste a vérifier ça stabilité, mais c'est un autre sujet.
Merci à tous pour vos remarques et aides.

Vincent

Dernière modification par zancanarotrois (13-12-2020 13:19:07)

Hors ligne

#17 13-12-2020 14:46:37

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-12-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : [Résolu] installer appimage.

zancanarotrois a écrit :


J'ai téléchargé : AppImageUpdate-x86_64.AppImage
https://github.com/AppImage/AppImageUpd … continuous
j'ai

chmod +x /home/zanca/logiciels/AppImageUpdate-x86_64.AppImage


pas besoin pour utiliser un fichier appimage comme le dit chalu dans son message #9


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

Pied de page des forums